View Issue Details

IDProjectCategoryView StatusLast Update
0002241Slicer4Core: Usabilitypublic2012-08-21 09:47
ReporterfedorovAssigned Todemian 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionno change required 
Product VersionSlicer 4.1.1 
Target VersionSlicer 4.2.0Fixed in VersionSlicer 4.2.0 
Summary0002241: Crash reading a stack of PNG images
Description

test dataset is attached

Additional Information

Thread 0 Crashed: Dispatch queue: com.apple.main-thread
0 libSlicerBaseLogic.dylib 0x0000000103f67b94 vtkAbstractArray::GetNumberOfTuples() + 32 (vtkAbstractArray.h:124)
1 libMRMLCore.dylib 0x000000010824fa55 vtkMRMLVolumeArchetypeStorageNode::ReadDataInternal(vtkMRMLNode) + 6237 (vtkMRMLVolumeArchetypeStorageNode.cxx:302)
2 libMRMLCore.dylib 0x000000010820161a vtkMRMLStorageNode::ReadData(vtkMRMLNode
, bool) + 1906 (vtkMRMLStorageNode.cxx:1095)
3 ...cerVolumesModuleLogic.dylib 0x000000012d4d05a3 vtkSlicerVolumesLogic::AddArchetypeVolume(char const, char const, int, vtkStringArray) + 5913 (vtkSlicerVolumesLogic.cxx:618)
4 libqSlicerVolumesModule.dylib 0x000000013225c680 qSlicerVolumesIO::load(QMap<QString, QVariant> const&) + 3908 (qSlicerVolumesIO.cxx:157)
5 libqSlicerBaseQTCore.dylib 0x00000001017aa6ba qSlicerCoreIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection
) + 2722 (qSlicerCoreIOManager.cxx:317)
6 libqSlicerBaseQTGUI.dylib 0x0000000100300ad0 qSlicerIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection) + 574 (qSlicerIOManager.cxx:321)
7 libqSlicerBaseQTCore.dylib 0x00000001017aa215 qSlicerCoreIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection
) + 1533 (qSlicerCoreIOManager.cxx:298)
8 libqSlicerBaseQTGUI.dylib 0x0000000100300ad0 qSlicerIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection) + 574 (qSlicerIOManager.cxx:321)
9 libqSlicerBaseQTGUI.dylib 0x00000001003006e1 qSlicerIOManager::loadNodes(QList<QMap<QString, QVariant> > const&, vtkCollection
) + 231 (qSlicerIOManager.cxx:343)
10 libqSlicerBaseQTGUI.dylib 0x00000001002eff16 qSlicerDataDialog::exec(QMap<QString, QVariant> const&) + 316 (qSlicerDataDialog.cxx:428)
11 libqSlicerBaseQTGUI.dylib 0x00000001002ff1f4 qSlicerIOManager::openDialog(qSlicerIO::IOFileType, qSlicerFileDialog::IOAction, QMap<QString, QVariant>) + 802 (qSlicerIOManager.cxx:219)
12 libqSlicerApp.dylib 0x000000010006ce43 qSlicerIOManager::openAddDataDialog() + 61 (qSlicerIOManager.h:106)
13 libqSlicerApp.dylib 0x000000010006a643 qSlicerAppMainWindowCore::onFileLoadDataActionTriggered() + 49 (qSlicerAppMainWindowCore.cxx:153)
14 libqSlicerApp.dylib 0x000000010006da17 qSlicerAppMainWindowCore::qt_metacall(QMetaObject::Call, int, void) + 271 (moc_qSlicerAppMainWindowCore.cxx:125)
15 QtCore 0x000000010a6a59d6 QMetaObject::activate(QObject, QMetaObject const, int, void
) + 710
16 QtGui 0x0000000109a19a11 QAction::triggered(bool) + 49
17 QtGui 0x0000000109a1ada4 QAction::activate(QAction::ActionEvent) + 180
18 QtGui 0x0000000109d9f439 QAbstractButtonPrivate::click() + 89
19 QtGui 0x0000000109d9f6d1 QAbstractButton::mouseReleaseEvent(QMouseEvent) + 113
20 QtGui 0x0000000109e66622 QToolButton::mouseReleaseEvent(QMouseEvent
) + 18
21 QtGui 0x0000000109a76970 QWidget::event(QEvent) + 2384
22 QtGui 0x0000000109d9e5e8 QAbstractButton::event(QEvent
) + 40
23 QtGui 0x0000000109e67daf QToolButton::event(QEvent) + 63
24 QtGui 0x0000000109a1f87d QApplicationPrivate::notify_helper(QObject
, QEvent) + 189
25 QtGui 0x0000000109a26040 QApplication::notify(QObject
, QEvent) + 2416
26 QtCore 0x000000010a69f23c QCoreApplication::notifyInternal(QObject
, QEvent) + 124
27 QtGui 0x0000000109a1ed7c qt_sendSpontaneousEvent(QObject
, QEvent) + 44
28 QtGui 0x00000001099d649d qt_mac_handleMouseEvent(void
, void*, QEvent::Type, Qt::MouseButton) + 2269
29 QtGui 0x00000001099c6be6 -[QCocoaView mouseUp:] + 22
30 com.apple.AppKit 0x00007fff863bd431 -[NSWindow sendEvent:] + 5547
31 QtGui 0x00000001099cdfb1 -[QCocoaWindow sendEvent:] + 241
32 com.apple.AppKit 0x00007fff862f2afa -[NSApplication sendEvent:] + 4719
33 QtGui 0x00000001099d162a -[QNSApplication sendEvent:] + 74
34 com.apple.AppKit 0x00007fff862896de -[NSApplication run] + 474
35 QtGui 0x00000001099db324 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1588
36 QtCore 0x000000010a789ed4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
37 QtCore 0x000000010a78a1f4 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
38 QtCore 0x000000010a78b5aa QCoreApplication::exec() + 186
39 0x0000000100020420 (anonymous namespace)::SlicerAppMain(int, char**) + 3576 (Main.cxx:308)
40 0x000000010002053c main + 43 (Main.cxx:341)
41 0x000000010001df14 start + 52

Thread 1: Dispatch queue: com.apple.libdispatch-manager
0 libSystem.B.dylib 0x00007fff82e54c0a kevent + 10
1 libSystem.B.dylib 0x00007fff82e56add _dispatch_mgr_invoke + 154
2 libSystem.B.dylib 0x00007fff82e567b4 _dispatch_queue_invoke + 185
3 libSystem.B.dylib 0x00007fff82e562de _dispatch_worker_thread2 + 252
4 libSystem.B.dylib 0x00007fff82e55c08 _pthread_wqthread + 353
5 libSystem.B.dylib 0x00007fff82e55aa5 start_wqthread + 13

Thread 2:
0 libSystem.B.dylib 0x00007fff82e46466 read + 10
1 libCTKCore.0.1.dylib 0x0000000106bf3eb5 ctkFDHandler::run() + 65 (ctkErrorLogFDMessageHandler.cpp:193)
2 QtCore 0x000000010a6d3125 QThreadPrivate::start(void*) + 149
3 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
4 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 3:
0 libSystem.B.dylib 0x00007fff82e46466 read + 10
1 libCTKCore.0.1.dylib 0x0000000106bf3eb5 ctkFDHandler::run() + 65 (ctkErrorLogFDMessageHandler.cpp:193)
2 QtCore 0x000000010a6d3125 QThreadPrivate::start(void*) + 149
3 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
4 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 4:
0 libSystem.B.dylib 0x00007fff82e76a6a __semwait_signal + 10
1 libSystem.B.dylib 0x00007fff82e768f9 nanosleep + 148
2 libSystem.B.dylib 0x00007fff82e76863 usleep + 57
3 libitksys.3.20.dylib 0x000000010e59e22a itksys::SystemTools::Delay(unsigned int) + 110 (SystemTools.cxx:4091)
4 libSlicerBaseLogic.dylib 0x0000000103f1ec7a vtkSlicerApplicationLogic::ProcessProcessingTasks() + 362 (vtkSlicerApplicationLogic.cxx:436)
5 libSlicerBaseLogic.dylib 0x0000000103f1ed62 vtkSlicerApplicationLogic::ProcessingThreaderCallback(void*) + 62 (vtkSlicerApplicationLogic.cxx:427)
6 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
7 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 5:
0 libSystem.B.dylib 0x00007fff82e76a6a __semwait_signal + 10
1 libSystem.B.dylib 0x00007fff82e768f9 nanosleep + 148
2 libSystem.B.dylib 0x00007fff82e76863 usleep + 57
3 libitksys.3.20.dylib 0x000000010e59e22a itksys::SystemTools::Delay(unsigned int) + 110 (SystemTools.cxx:4091)
4 libSlicerBaseLogic.dylib 0x0000000103f1eac0 vtkSlicerApplicationLogic::ProcessNetworkingTasks() + 362 (vtkSlicerApplicationLogic.cxx:512)
5 libSlicerBaseLogic.dylib 0x0000000103f1ed08 vtkSlicerApplicationLogic::NetworkingThreaderCallback(void*) + 62 (vtkSlicerApplicationLogic.cxx:503)
6 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
7 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 6:
0 libSystem.B.dylib 0x00007fff82e76a6a __semwait_signal + 10
1 libSystem.B.dylib 0x00007fff82e7a881 _pthread_cond_wait + 1286
2 QtWebKit 0x0000000102a56048 WTF::TCMalloc_PageHeap::scavengerThread() + 520
3 QtWebKit 0x0000000102a560e9 WTF::TCMalloc_PageHeap::runScavengerThread(void*) + 9
4 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
5 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 7:
0 libSystem.B.dylib 0x00007fff82e7f932 select$DARWIN_EXTSN + 10
1 QtCore 0x000000010a7ab83e qt_safe_select(int, fd_set, fd_set, fd_set, timeval const) + 142
2 QtCore 0x000000010a7afbd3 QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval) + 435
3 QtCore 0x000000010a7b00a2 QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 178
4 QtCore 0x000000010a789ed4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
5 QtCore 0x000000010a78a1f4 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
6 QtCore 0x000000010a6d2116 QThread::exec() + 182
7 QtCore 0x000000010a6d3125 QThreadPrivate::start(void
) + 149
8 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
9 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 8: com.apple.CFSocket.private
0 libSystem.B.dylib 0x00007fff82e7f932 select$DARWIN_EXTSN + 10
1 com.apple.CoreFoundation 0x00007fff8a3e2468 __CFSocketManager + 824
2 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
3 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 9:
0 libSystem.B.dylib 0x00007fff82e76a6a __semwait_signal + 10
1 libSystem.B.dylib 0x00007fff82e7a881 _pthread_cond_wait + 1286
2 QtCore 0x000000010a657110 QWaitCondition::wait(QMutex, unsigned long) + 272
3 QtCore 0x000000010a6cf442 QThreadPoolThread::run() + 370
4 QtCore 0x000000010a6d3125 QThreadPrivate::start(void
) + 149
5 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
6 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 10:
0 libSystem.B.dylib 0x00007fff82e54c0a kevent + 10
1 QtCore 0x000000010a776a2b QKqueueFileSystemWatcherEngine::run() + 155
2 QtCore 0x000000010a6d3125 QThreadPrivate::start(void*) + 149
3 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
4 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 11:
0 libSystem.B.dylib 0x00007fff82e7f932 select$DARWIN_EXTSN + 10
1 QtCore 0x000000010a76c410 QProcessManager::run() + 96
2 QtCore 0x000000010a6d3125 QThreadPrivate::start(void*) + 149
3 libSystem.B.dylib 0x00007fff82e74fd6 _pthread_start + 331
4 libSystem.B.dylib 0x00007fff82e74e89 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):
rax: 0x0000000000000000 rbx: 0x0000000145207b80 rcx: 0x0000000000000000 rdx: 0x0000000000000000
rdi: 0x0000000000000000 rsi: 0x0000000000000004 rbp: 0x00007fff5fbfafb0 rsp: 0x00007fff5fbfaf90
r8: 0x0000000000000001 r9: 0x00000001452ed070 r10: 0x00000001111447cc r11: 0x0000000110d5ad52
r12: 0x0000000108200ea8 r13: 0x0000000000000005 r14: 0x000000014085ebf0 r15: 0x00007fff5fbfc980
rip: 0x0000000103f67b94 rfl: 0x0000000000010246 cr2: 0x0000000000000038

TagsNo tags attached.

Relationships

duplicate of 0001899 acknowledged Cannot save and reopen color images as .nrrd file 

Activities

2012-06-21 07:43

 

RGB-png-test.zip (98,327 bytes)
fedorov

fedorov

2012-06-21 10:11

developer   ~0004896

The same issues shows up when I try to load a regular scalar volume using the DICOM plugin, the issue is not localized to importing PNG stack.

fedorov

fedorov

2012-06-21 11:10

developer   ~0004897

The issue disappears if going back to 20282 (vtkMRMLVolumeArchetypeReader.cxx has been changed).

But using just that file from 20282 in the current revision (r20449) results in a different crash:

Thread 0 Crashed: Dispatch queue: com.apple.main-thread
0 libSlicerBaseLogic.dylib 0x0000000103f67b94 vtkAbstractArray::GetNumberOfTuples() + 32 (vtkAbstractArray.h:124)
1 libMRMLLogic.dylib 0x00000001042146be vtkMRMLSliceLayerLogic::UpdateImageDisplay() + 928 (vtkMRMLSliceLayerLogic.cxx:664)
2 libMRMLLogic.dylib 0x0000000104216575 vtkMRMLSliceLayerLogic::SetVolumeNode(vtkMRMLVolumeNode) + 247 (vtkMRMLSliceLayerLogic.cxx:290)
3 libMRMLLogic.dylib 0x000000010421ef26 vtkMRMLSliceLogic::UpdatePipeline() + 236 (vtkMRMLSliceLogic.cxx:881)
4 libMRMLLogic.dylib 0x0000000104220f0e vtkMRMLSliceLogic::OnMRMLNodeModified(vtkMRMLNode
) + 268 (vtkMRMLSliceLogic.cxx:487)
5 libMRMLLogic.dylib 0x00000001041ec0fc vtkMRMLAbstractLogic::ProcessMRMLNodesEvents(vtkObject, unsigned long, void) + 138 (vtkMRMLAbstractLogic.cxx:453)
6 libMRMLLogic.dylib 0x00000001041ec8ea vtkMRMLAbstractLogic::MRMLNodesCallback(vtkObject, unsigned long, void, void) + 502 (vtkMRMLAbstractLogic.cxx:185)
7 libvtkCommon.5.10.dylib 0x00000001114f35c6 vtkCallbackCommand::Execute(vtkObject
, unsigned long, void) + 68 (vtkCallbackCommand.cxx:43)
8 libMRMLCore.dylib 0x000000010804c91b vtkEventBroker::InvokeObservation(vtkObservation
, void) + 303 (vtkEventBroker.cxx:857)
9 libMRMLCore.dylib 0x000000010804e2c1 vtkEventBroker::ProcessEvent(vtkObservation
, vtkObject, unsigned long, void) + 191 (vtkEventBroker.cxx:705)
10 libMRMLCore.dylib 0x000000010804e87e vtkEventBroker::Callback(vtkObject, unsigned long, void, void) + 386 (vtkEventBroker.cxx:929)
11 libvtkCommon.5.10.dylib 0x00000001114f35c6 vtkCallbackCommand::Execute(vtkObject
, unsigned long, void) + 68 (vtkCallbackCommand.cxx:43)
12 libvtkCommon.5.10.dylib 0x00000001114d16a2 vtkSubjectHelper::InvokeEvent(unsigned long, void
, vtkObject) + 1652 (vtkObject.cxx:605)
13 libvtkCommon.5.10.dylib 0x00000001114d17ba vtkObject::InvokeEvent(unsigned long, void
) + 58 (vtkObject.cxx:770)
14 libvtkCommon.5.10.dylib 0x00000001114d17f8 vtkObject::Modified() + 44 (vtkObject.cxx:837)
15 libMRMLCLI.dylib 0x0000000107f7efd0 vtkMRMLNode::Modified() + 68 (vtkMRMLNode.h:347)
16 libMRMLCore.dylib 0x00000001081df428 vtkMRMLSliceCompositeNode::SetBackgroundVolumeID(char const) + 758 (vtkMRMLSliceCompositeNode.cxx:25)
17 libMRMLLogic.dylib 0x00000001041f2a52 vtkMRMLApplicationLogic::PropagateVolumeSelection(int) + 394 (vtkMRMLApplicationLogic.cxx:302)
18 libqSlicerBaseQTCore.dylib 0x00000001017c54de vtkMRMLApplicationLogic::PropagateVolumeSelection() + 42 (vtkMRMLApplicationLogic.h:73)
19 libMRMLLogicPythonD.dylib 0x000000012d347b97 PyvtkMRMLApplicationLogic_PropagateVolumeSelection_s2(_object
, _object) + 157 (vtkMRMLApplicationLogicPython.cxx:427)
20 libMRMLLogicPythonD.dylib 0x000000012d347d28 PyvtkMRMLApplicationLogic_PropagateVolumeSelection(_object
, _object) + 100 (vtkMRMLApplicationLogicPython.cxx:453)
21 libpython2.6.dylib 0x0000000107e15048 PyEval_EvalFrameEx + 28696 (ceval.c:3750)
22 libpython2.6.dylib 0x0000000107e141ea PyEval_EvalFrameEx + 25018 (ceval.c:3836)
23 libpython2.6.dylib 0x0000000107e15df5 PyEval_EvalCodeEx + 2197 (ceval.c:3000)
24 libpython2.6.dylib 0x0000000107d977d5 function_call + 165 (funcobject.c:524)
25 libpython2.6.dylib 0x0000000107d67bf2 PyObject_Call + 98 (abstract.c:2492)
26 libpython2.6.dylib 0x0000000107d7a0fd instancemethod_call + 365 (classobject.c:2579)
27 libpython2.6.dylib 0x0000000107d67bf2 PyObject_Call + 98 (abstract.c:2492)
28 libpython2.6.dylib 0x0000000107e0ceb7 PyEval_CallObjectWithKeywords + 87 (ceval.c:3619)
29 libPythonQt.dylib 0x000000010544ac36 PythonQtSignalTarget::call(_object
, PythonQtMethodInfo const*, void, bool) + 484 (PythonQtSignalReceiver.cpp:118)
30 libPythonQt.dylib 0x000000010544acd2 PythonQtSignalTarget::call(void
) const + 62 (PythonQtSignalReceiver.cpp:51)
31 libPythonQt.dylib 0x000000010544ad98 PythonQtSignalReceiver::qt_metacall(QMetaObject::Call, int, void) + 124 (PythonQtSignalReceiver.cpp:221)
32 QtCore 0x000000010a6a49d6 QMetaObject::activate(QObject, QMetaObject const, int, void
) + 710
33 QtGui 0x000000010a069701 QAbstractButton::clicked(bool) + 49
34 QtGui 0x0000000109d9d3e0 QAbstractButtonPrivate::emitClicked() + 64
35 QtGui 0x0000000109d9e47a QAbstractButtonPrivate::click() + 154
36 QtGui 0x0000000109d9e6d1 QAbstractButton::mouseReleaseEvent(QMouseEvent) + 113
37 libPythonQt.dylib 0x00000001056a8e7e PythonQtShell_QPushButton::mouseReleaseEvent(QMouseEvent
) + 416 (com_trolltech_qt_gui6.cpp:6236)
38 QtGui 0x0000000109a75970 QWidget::event(QEvent) + 2384
39 QtGui 0x0000000109d9d5e8 QAbstractButton::event(QEvent
) + 40
40 QtGui 0x0000000109e34745 QPushButton::event(QEvent) + 69
41 libPythonQt.dylib 0x00000001056ab1a2 PythonQtShell_QPushButton::event(QEvent
) + 560 (com_trolltech_qt_gui6.cpp:5863)
42 QtGui 0x0000000109a1e87d QApplicationPrivate::notify_helper(QObject, QEvent) + 189
43 QtGui 0x0000000109a25040 QApplication::notify(QObject, QEvent) + 2416
44 QtCore 0x000000010a69e23c QCoreApplication::notifyInternal(QObject, QEvent) + 124
45 QtGui 0x0000000109a1dd7c qt_sendSpontaneousEvent(QObject, QEvent) + 44
46 QtGui 0x00000001099d549d qt_mac_handleMouseEvent(void, void, QEvent::Type, Qt::MouseButton) + 2269
47 QtGui 0x00000001099c5be6 -[QCocoaView mouseUp:] + 22
48 com.apple.AppKit 0x00007fff863bd431 -[NSWindow sendEvent:] + 5547
49 QtGui 0x00000001099ccfb1 -[QCocoaWindow sendEvent:] + 241
50 com.apple.AppKit 0x00007fff862f2afa -[NSApplication sendEvent:] + 4719
51 QtGui 0x00000001099d062a -[QNSApplication sendEvent:] + 74
52 com.apple.AppKit 0x00007fff862896de -[NSApplication run] + 474
53 QtGui 0x00000001099da324 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1588
54 QtCore 0x000000010a788ed4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
55 QtCore 0x000000010a7891f4 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
56 QtCore 0x000000010a78a5aa QCoreApplication::exec() + 186
57 0x0000000100020420 (anonymous namespace)::SlicerAppMain(int, char**) + 3576 (Main.cxx:308)
58 0x000000010002053c main + 43 (Main.cxx:341)
59 0x000000010001df14 start + 52

fedorov

fedorov

2012-06-24 06:36

developer   ~0004913

The previous issue has been fixed, new crash:

Thread 0 Crashed: Dispatch queue: com.apple.main-thread
0 libvtkCommon.5.10.dylib 0x000000011169226f vtkDataArrayTemplate<unsigned char>::ComputeScalarRange(int) + 137 (vtkDataArrayTemplate.txx:939)
1 libvtkCommon.5.10.dylib 0x000000011151576c vtkDataArray::ComputeRange(int) + 580 (vtkDataArray.cxx:1087)
2 libvtkFiltering.5.10.dylib 0x0000000110d76bf6 vtkDataArray::GetRange(double, int) + 44 (vtkDataArray.h:295)
3 libvtkFiltering.5.10.dylib 0x0000000110d76592 vtkDataSet::ComputeScalarRange() + 314 (vtkDataSet.cxx:131)
4 libvtkFiltering.5.10.dylib 0x0000000110d745b6 vtkDataSet::GetScalarRange(double
) + 38 (vtkDataSet.cxx:150)
5 libMRMLCore.dylib 0x00000001081b581e vtkMRMLScalarVolumeDisplayNode::GetDisplayScalarRange(double) + 678 (vtkMRMLScalarVolumeDisplayNode.cxx:649)
6 libMRMLCore.dylib 0x000000010824d195 vtkMRMLGlyphableVolumeDisplayNode::GetDisplayScalarRange(double
) + 45 (vtkMRMLGlyphableVolumeDisplayNode.h:137)
7 libMRMLCore.dylib 0x00000001081b516b vtkMRMLScalarVolumeDisplayNode::CalculateAutoLevels() + 1837 (vtkMRMLScalarVolumeDisplayNode.cxx:730)
8 libMRMLCore.dylib 0x00000001081b64aa vtkMRMLScalarVolumeDisplayNode::ProcessMRMLEvents(vtkObject, unsigned long, void) + 212 (vtkMRMLScalarVolumeDisplayNode.cxx:381)
9 libMRMLCore.dylib 0x000000010826195b vtkMRMLGlyphableVolumeDisplayNode::ProcessMRMLEvents(vtkObject, unsigned long, void) + 61 (vtkMRMLGlyphableVolumeDisplayNode.cxx:223)
10 libMRMLCore.dylib 0x000000010824a729 vtkMRMLVectorVolumeDisplayNode::ProcessMRMLEvents(vtkObject, unsigned long, void) + 61 (vtkMRMLVectorVolumeDisplayNode.cxx:195)
11 libMRMLCore.dylib 0x000000010819ed60 vtkMRMLNode::MRMLCallback(vtkObject, unsigned long, void, void) + 724 (vtkMRMLNode.cxx:430)
12 libvtkCommon.5.10.dylib 0x00000001115025c6 vtkCallbackCommand::Execute(vtkObject
, unsigned long, void) + 68 (vtkCallbackCommand.cxx:43)
13 libMRMLCore.dylib 0x000000010805b15f vtkEventBroker::InvokeObservation(vtkObservation
, void) + 303 (vtkEventBroker.cxx:857)
14 libMRMLCore.dylib 0x000000010805cb05 vtkEventBroker::ProcessEvent(vtkObservation
, vtkObject, unsigned long, void) + 191 (vtkEventBroker.cxx:705)
15 libMRMLCore.dylib 0x000000010805d0c2 vtkEventBroker::Callback(vtkObject, unsigned long, void, void) + 386 (vtkEventBroker.cxx:929)
16 libvtkCommon.5.10.dylib 0x00000001115025c6 vtkCallbackCommand::Execute(vtkObject
, unsigned long, void) + 68 (vtkCallbackCommand.cxx:43)
17 libvtkCommon.5.10.dylib 0x00000001114e06a2 vtkSubjectHelper::InvokeEvent(unsigned long, void
, vtkObject) + 1652 (vtkObject.cxx:605)
18 libvtkCommon.5.10.dylib 0x00000001114e07ba vtkObject::InvokeEvent(unsigned long, void
) + 58 (vtkObject.cxx:770)
19 libvtkCommon.5.10.dylib 0x00000001114e07f8 vtkObject::Modified() + 44 (vtkObject.cxx:837)
20 libMRMLCLI.dylib 0x0000000107f8cfd0 vtkMRMLNode::Modified() + 68 (vtkMRMLNode.h:347)
21 libMRMLCore.dylib 0x0000000108260f0a vtkMRMLVolumeDisplayNode::SetInputImageData(vtkImageData) + 80 (vtkMRMLVolumeDisplayNode.cxx:95)
22 libMRMLCore.dylib 0x00000001081b7d78 vtkMRMLScalarVolumeDisplayNode::SetInputImageData(vtkImageData
) + 146 (vtkMRMLScalarVolumeDisplayNode.cxx:138)
23 libMRMLCore.dylib 0x000000010826c8c9 vtkMRMLVolumeNode::SetAndObserveImageData(vtkImageData) + 193 (vtkMRMLVolumeNode.cxx:637)
24 libMRMLCore.dylib 0x000000010825e3a9 vtkMRMLVolumeArchetypeStorageNode::ReadDataInternal(vtkMRMLNode
) + 9631 (vtkMRMLVolumeArchetypeStorageNode.cxx:367)
25 libMRMLCore.dylib 0x000000010820f1e2 vtkMRMLStorageNode::ReadData(vtkMRMLNode, bool) + 1906 (vtkMRMLStorageNode.cxx:1095)
26 ...cerVolumesModuleLogic.dylib 0x000000012e1d1988 vtkSlicerVolumesLogic::AddArchetypeVolume(char const
, char const, int, vtkStringArray) + 6910 (vtkSlicerVolumesLogic.cxx:639)
27 libqSlicerVolumesModule.dylib 0x0000000133805680 qSlicerVolumesIO::load(QMap<QString, QVariant> const&) + 3908 (qSlicerVolumesIO.cxx:157)
28 libqSlicerBaseQTCore.dylib 0x00000001017ab6ba qSlicerCoreIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection) + 2722 (qSlicerCoreIOManager.cxx:317)
29 libqSlicerBaseQTGUI.dylib 0x0000000100301ad0 qSlicerIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection
) + 574 (qSlicerIOManager.cxx:321)
30 libqSlicerBaseQTCore.dylib 0x00000001017ab215 qSlicerCoreIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection) + 1533 (qSlicerCoreIOManager.cxx:298)
31 libqSlicerBaseQTGUI.dylib 0x0000000100301ad0 qSlicerIOManager::loadNodes(qSlicerIO::IOFileType const&, QMap<QString, QVariant> const&, vtkCollection
) + 574 (qSlicerIOManager.cxx:321)
32 libqSlicerBaseQTGUI.dylib 0x00000001003016e1 qSlicerIOManager::loadNodes(QList<QMap<QString, QVariant> > const&, vtkCollection*) + 231 (qSlicerIOManager.cxx:343)
33 libqSlicerBaseQTGUI.dylib 0x00000001002f0f16 qSlicerDataDialog::exec(QMap<QString, QVariant> const&) + 316 (qSlicerDataDialog.cxx:428)

demian

demian

2012-07-27 07:04

developer   ~0005270

Andy, was this fixed when Jim reengineered the loading protocols?

fedorov

fedorov

2012-07-27 07:06

developer   ~0005271

oh, Jim has already re-engineered the loading protocols? That's news to me! Great! I have not had any updates from Jim since our joint meeting. I would need to test.

fedorov

fedorov

2012-07-27 07:14

developer   ~0005274

It does not look like Jim touched the code since our talk:

http://viewvc.slicer.org/viewvc.cgi/Slicer4/trunk/Modules/Loadable/Volumes/Logic/vtkSlicerVolumesLogic.cxx?view=log

fedorov

fedorov

2012-08-10 14:51

developer   ~0005539

Crash is gone following Jim's rearchitecture of Volumes logic.

Issue History

Date Modified Username Field Change
2012-06-21 07:43 fedorov New Issue
2012-06-21 07:43 fedorov File Added: RGB-png-test.zip
2012-06-21 07:43 fedorov Status new => assigned
2012-06-21 07:43 fedorov Assigned To => jcfr
2012-06-21 07:44 fedorov Assigned To jcfr => finetjul
2012-06-21 10:11 fedorov Note Added: 0004896
2012-06-21 11:10 fedorov Note Added: 0004897
2012-06-24 06:36 fedorov Note Added: 0004913
2012-06-24 08:04 finetjul Assigned To finetjul => demian
2012-07-27 07:04 demian Note Added: 0005270
2012-07-27 07:06 fedorov Note Added: 0005271
2012-07-27 07:14 fedorov Note Added: 0005274
2012-07-31 12:56 fedorov Relationship added has duplicate 0001899
2012-07-31 13:03 fedorov Relationship deleted has duplicate 0001899
2012-07-31 13:03 fedorov Relationship added duplicate of 0001899
2012-08-10 14:51 fedorov Note Added: 0005539
2012-08-10 14:51 fedorov Status assigned => resolved
2012-08-10 14:51 fedorov Fixed in Version => Slicer 4.1.2 - August
2012-08-10 14:51 fedorov Resolution open => no change required
2012-08-10 14:51 fedorov Status resolved => closed
2012-08-21 09:45 jcfr Fixed in Version Slicer 4.1.2 - August => Slicer 4.2.0 - Feature freeze Sept 1st 2012
2012-08-21 09:47 jcfr Target Version => Slicer 4.2.0 - Feature freeze Sept 1st 2012